%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define abiword_api_version 2.8

Summary: Python bindings for libabiword
Name: pyabiword
Version: 0.8.0
Release: 6%{?dist}
Source0: pyabiword-%{version}.tar.gz
URL: http://abisource.com/downloads/pyabiword/%{version}/pyabiword-%{version}.tar.gz
License: GPL+
Group: System Environment/Libraries
BuildRequires: libabiword-devel >= %{abiword_api_version}
BuildRequires: pygtk2-devel
BuildRequires: gtk2-devel
BuildRequires: enchant-devel
BuildRequires: fribidi-devel
BuildRequires: wv-devel

%description
This package installs Python bindings for libabiword

%package devel
Summary: Support files necessary to compile applications using pyabiword.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, headers, and support files necessary to compile applications using pyabiword.

%prep
%setup -q

%build

%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
# remove execution bits from python examples
find $RPM_BUILD_DIR/%{name}-%{version}/examples -name *.py -type f -print | xargs chmod -x
# nuke .la files
rm -f $RPM_BUILD_ROOT/%{python_sitearch}/abiword/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING $RPM_BUILD_DIR/%{name}-%{version}/examples
%dir %{python_sitearch}/abiword
%{python_sitearch}/abiword/*.py
%{python_sitearch}/abiword/*.pyc
%{python_sitearch}/abiword/*.pyo
%{python_sitearch}/abiword/*.so

%files devel
%defattr(-,root,root,-)
%{_datadir}/pygtk/2.0/defs/pyabiword.defs

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan  4 2011 Peter Robinson <pbrobinson@gmail.com> - 0.8.0-4
- Rebuild against new libwv

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Dec 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.8.0-3
- Rebuild agains since the wv soname bump was accidental
- Remove superflous BuildRoot definitions and removals

* Mon Dec 21 2009 Peter Robinson <pbrobinson@gmail.com> - 0.8.0-2
- Rebuild against new libwv

* Sun Nov 01 2009 Marc Maurer <uwog@uwog.net> - 0.8.0-1
- New upstream release

* Sun Aug 02 2009 Marc Maurer <uwog@uwog.net> - 0.7.8-1
- New upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 05 2009 Peter Robinson <pbrobinson@gmail.com> - 0.7.6-1
- Upgrade to pyabiword 0.7.6

* Mon Mar 09 2009 Marc Maurer <uwog@uwog.net> - 0.6.3-1
- New upstream release

* Mon Mar 09 2009 Marc Maurer <uwog@uwog.net> - 0.6.2-1
- New upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.1-4
- Rebuild for Python 2.6

* Tue Jul 22 2008 Marc Maurer <uwog@uwog.net> - 0.6.1-3
- Include the BRs required to build in koji

* Tue Jul 22 2008 Marc Maurer <uwog@uwog.net> - 0.6.1-2
- Drop vendor tag
- Include documentation
- Include examples

* Mon Jul 21 2008 Marc Maurer <uwog@uwog.net> - 0.6.1-1
- Initial spec file
